Skip to main content
GET
/
api
/
sandboxes
List Sandboxes
curl --request GET \
  --url https://app.opencomputer.dev/api/sandboxes \
  --header 'X-API-Key: <api-key>'
[
  {
    "sandboxID": "sb-abc123",
    "status": "running",
    "region": "use2",
    "workerID": "w-use2-abc123",
    "tags": { "env": "prod" },
    "tagsLastUpdatedAt": "2026-04-19T14:02:00Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.opencomputer.dev/llms.txt

Use this file to discover all available pages before exploring further.

List all running sandboxes.
[
  {
    "sandboxID": "sb-abc123",
    "status": "running",
    "region": "use2",
    "workerID": "w-use2-abc123",
    "tags": { "env": "prod" },
    "tagsLastUpdatedAt": "2026-04-19T14:02:00Z"
  }
]
Each entry carries tags (always present, empty object when unset) and tagsLastUpdatedAt (null when unset). To filter by tag, use GET /api/usage?groupBy=sandbox&filter[tag:<key>]=<value>.